### Method

# Gtk TextIter get_visible_text

#### Declaration [src]

    char*
    gtk_text_iter_get_visible_text (
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Returns visible text in the given range.

Like gtk_text_iter_get_text(), but invisible text is not included. Invisible text is usually invisible because a `GtkTextTag` with the “invisible” attribute turned on has been applied to it.

#### Parameters

`end` | `GtkTextIter`
| Iterator at end of range.
| The data is owned by the caller of the function.

#### Return value

Returns: | `char*`
| String containing visible text in the range.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.